TAAS - Feature #241

Turn Over Report
07/09/2023 04:01 PM - Anil KV

Status: Testing Done Start date: 07/09/2023
Priority: Normal Due date:

Assignee: Sarath Krishnan % Done: 90%
Category: Estimated time: 0:00 hour
Target version: 22.12 Spent time: 0:00 hour
Owner(Agency): Travvise Tested By: Arathy PS
Time Taken(HH): Code Reviewed By:

Module: Turn Over Report

Description

Coding Turn Over Report

History

#1 - 09/09/2023 01:25 PM - Anil KV

Solutions

1) GUI Changes
— Column heading Descrption to Account
-List Grouping -> Sale(Need Each Group Total), Refund(Need Each Group Total), Net Sale
Total), Expense (Need Each Group Total), Net Profit
2) SQL
SELECT MAX (coa.vhr_code) AS vhr_code,
MAX (coa.vhr_name) AS vhr_name,
MAX (COALESCE (coa.vhr_display_name, coa.vhr_name)) AS vhr_display_name,
MAX (tr.vhr_sys_module_name) AS vhr_sys_module_name,
MAX (coa.sin_chart_of_ac_category) AS sin_chart_of_ac_category,
SUM (tr.dbl_base_cur_debit) AS dbl_debit, —-- Currency base field change
SUM (dbl_base_cur_credit) AS dbl_credit -- Currency base field change
FROM transaction.tbl_transaction tr
LEFT JOIN document.tbl_documents doc
ON tr.fk_documents_id = doc.pk_documents_id
LEFT JOIN accounts.tbl_chart_of_ac coa
ON tr.fk_main_ledger_id = coa.pk_chart_of_ac_id
LEFT JOIN accounts.tbl_account ac
ON coa.pk_chart_of_ac_id = ac.fk_default_main_ledger_id
WHERE ac.sin_if_sys_account = 0
AND tr.vhr_sys_module_name IN ('SALE', 'REFUND')
AND tr.sin_posting_status = 1
AND tr.sin_transaction_status = 1
AND tr.sin_document_status = 1
AND tr.fk_branch_id = 1
AND tr.fk_department_id = 1
—— tr.dat_transaction or doc.dat_document between
GROUP BY tr.vhr_sys_module_name, tr.fk_main_ledger_id
ORDER BY vhr_name

’

Income (Need Each Group

*Sale -> if vhr_sys_module_name == 'SALE' and sin_chart_of_ac_category IN (1,2); Credit=Paid; debit = Received

; Net = Dr-Cr

*Refund -> if vhr_sys_module_name == 'REFUND' and sin_chart_of_ac_category IN (1,2); Credit=Paid; debit = Rece

ived; Net = Dr-Cr

*Net Sale —-> Sale Total - REfund Total for each column

***Income and Expense ACCOUNT WISE TOTAL in .cs because Sale and Refund seprated
*Income -> 1if sin_chart_of_ac_category = 3; Credit=Received, Debit=Paid; Net = Cr-Dr
*Expense —> if sin_chart_of_ac_category = 4; Credit=Received, Debit=Paid; Net = Cr-Dr
*Net Profit -> Income Total + Expense Total for each column

#2 - 09/09/2023 02:24 PM - Anil KV
- Status changed from New to Open

- % Done changed from 0 to 10
#3 - 12/09/2023 03:33 PM - Anil KV

- Assignee changed from travvise Admin to Shahil Haris

#4 - 01/02/2024 06:09 PM - Anil KV

- Assignee changed from Shabhil Haris to travvise Admin

#5 - 01/23/2024 10:32 AM - Anil KV

- Assignee changed from travvise Admin to Vivekp V

#6 - 03/07/2024 02:52 PM - Anil KV
- Status changed from Open to Ready for Coding
- % Done changed from 10 to 20

#7 - 07/12/2024 04:47 PM - Junaid M

- Assignee changed from Vivekp V to Sarath Krishnan

#8 - 07/12/2024 05:26 PM - Anonymous
- Status changed from Ready for Coding to Coding Started
- % Done changed from 20 to 30

#9 - 08/03/2024 09:59 AM - Sarath Krishnan
- Status changed from Coding Started to Coding Done
- % Done changed from 30 to 60

#10 - 08/05/2024 03:36 PM - Arathy PS
- Status changed from Coding Done to Testing Started
- Tested By set to Arathy PS

ISSUE FOUNDED:
1)CORRECT THE VALUES IN THE SALE FIELD

#11 - 08/10/2024 02:43 PM - Arathy PS
- Status changed from Testing Started to Reopen Bugs
- % Done changed from 60 to 50

ISSUE FOUNDED
1) ADD AN EXTRA LINE AFTER EACH TOTAL IN PRINT

2) WHEN CURRENCY IS CHANGED DATA ON THE GRID IS INCORRECT

#12 - 09/21/2024 02:24 PM - Sarath Krishnan

- Status changed from Reopen Bugs to Reopen Bugs Coding Done

- % Done changed from 50 to 70

#13 - 09/30/2024 01:04 PM - Arathy PS

- Status changed from Reopen Bugs Coding Done to Testing Done

- % Done changed from 70 to 90
